<?php
/*
Plugin Name: Mobile Detection
Description: Adds a Mobile Detection shortcode to use on all of your pages and post.
Version: 1.0
Author: Jeff Bullins
Author URI: http://www.thinklandingpages.com/mobile-detect
*/

require_once 'Mobile_Detect.php';

$md_detect = new Mobile_Detect;

$GLOBALS['md_detect'] = $md_detect;

function md_detect_is_mobile_shortcode($atts, $content = null){
	global $md_detect;
	ob_start();
	if($md_detect->isMobile()){
		echo $content;
	}
	return ob_get_clean();
}



function md_detect_register_shortcodes(){
		add_shortcode( 'md_is_mobile', 'md_detect_is_mobile_shortcode');
	}

add_action( 'init', 'md_detect_register_shortcodes');

